//   Copyright 2011 Palantir Technologies
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.
package com.palantir.opensource.sysmon.linux;

/**
 * Data container and JMX MBean implementation for entropy level measurements used by {@link LinuxEntropyLevelJMXWrapper}.
 *
 * @see <a href='http://linux.die.net/man/4/random'>the random(4) man page for more information on entropy pools</a>
 *
 */
public class LinuxEntropyLevel implements LinuxEntropyLevelMBean {

	private Integer entropyLevel;

	public LinuxEntropyLevel(Integer entropyLevel) {
		this.entropyLevel = entropyLevel;
	}

	public synchronized Integer getEntropyLevel() {
		return entropyLevel;
	}

	public synchronized void updateValue(Integer entropyLevel) {
		this.entropyLevel = entropyLevel;
	}

}
